#ifndef _EXAMPLEDLG_CLASS_INC
#define _EXAMPLEDLG_CLASS_INC

#include "ProgressBar.inc"
#include "WorkerThread.inc"

#define IDC_LABEL1		1
#define IDC_LABEL2		2
#define IDC_LABEL3		3
#define IDC_PROGRESS1	4
#define IDC_PROGRESS2	5
#define IDC_PROGRESS3	6
#define IDC_BUTTON1		7

class CExampleDlg:CDialog
{
	declare OnInitDialog(),int;
	declare OnClose(),int;
	declare OnControl(int nID, int nNotifyCode, unsigned int hControl),int;

	declare WndProc(unsigned int message, unsigned int wparam, unsigned int lparam),int;

	CStatic*		m_pLabel1;
	CStatic*		m_pLabel2;
	CStatic*		m_pLabel3;
	CProgressBar*	m_pProgressBar1;
	CProgressBar*	m_pProgressBar2;
	CProgressBar*	m_pProgressBar3;
	CButton*		m_pButton1;
	CWorkerThread*	m_pThread1;
	CWorkerThread*	m_pThread2;
	CWorkerThread*	m_pThread3;
}
#endif // _EXAMPLEDLG_CLASS_INC
